<?php
// +----------------------------------------------------------------------
// | [ WE CAN DO IT MORE SIMPLE  ]
// +----------------------------------------------------------------------
// | Copyright (c) 2018-2020 rights reserved.
// +----------------------------------------------------------------------
// | [ 首页管理 ]
// +----------------------------------------------------------------------
// | Date: 2020-08-30 14:41
// +----------------------------------------------------------------------

use think\facade\Route;

//@基础数据
Route::group('courseController', function () {

//    //获取分类列表
//    Route::rule('getCateList','educationController/getCateList');


    //添加课程
    Route::rule('addCourse','courseController/addCourse');
    //删除课程
    Route::rule('deleteCourse','courseController/deleteCourse');
    //查找课程
    Route::rule('searchCourse','courseController/searchCourse');
    //获取课程列表
    Route::rule('getCourseList','courseController/getCourseList');
    //修改课程状态
    Route::rule('updateCourseStatus','courseController/updateCourseStatus');
    //修改课程信息
    Route::rule('updateCourseInfo','courseController/updateCourseInfo');
    //获取课程详情并编辑课程
    Route::rule('editCourse','courseController/editCourse');

})->middleware([
    \app\system\middleware\AllowOriginMiddleware::class,
    \app\system\middleware\AdminAuthTokenMiddleware::class
]);
